Page MenuHomePhabricator

Make MediaWiki 1.27 (LTS) compatible with PHP 7.1
Closed, ResolvedPublic

Description

Currently 1.27 is compatible with 5.5-7.0. Security support for those will end on 31 Dec 2018 (5.6). 1.27 is supported until June 2019. It would be good to have 1.27 support 7.1 so there's an actual supported PHP version that can be used with it.

Main things needing backporting would be (I think):

Event Timeline

Legoktm created this task.Aug 26 2017, 8:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2017, 8:26 PM
Reedy moved this task from Unsorted to PHP 7.1 on the [DO NOT USE] NewPHP board.Aug 27 2017, 9:56 PM

Change 374100 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_27] RELEASE-NOTES for PHP 7.1 backports

https://gerrit.wikimedia.org/r/374100

Probably worth a sanity check for any PHP 7 fixes/tasks that didn't make it into REL1_27 already

[21:09:39] <wikibugs_> (PS1) Legoktm: Don't pass $this by reference [skins/Vector] - https://gerrit.wikimedia.org/r/375113 (https://phabricator.wikimedia.org/T153505)
[21:11:20] <wikibugs_> (PS1) Legoktm: Don't pass $this by reference [skins/MonoBook] - https://gerrit.wikimedia.org/r/375114 (https://phabricator.wikimedia.org/T153505)

dbarratt edited subscribers, added: dbarratt; removed: davidwbarratt.Sep 1 2017, 4:35 AM

Change 374100 merged by jenkins-bot:
[mediawiki/core@REL1_27] RELEASE-NOTES for PHP 7.1 backports

https://gerrit.wikimedia.org/r/374100

demon triaged this task as Medium priority.Jan 12 2018, 10:58 PM
Legoktm closed this task as Resolved.Jun 12 2018, 1:57 AM
Legoktm claimed this task.

Closing, because all 7.1 compat fixes in master were backported. If there are any other 7.1 incompatibilities, they can be tracked separately,